> For the complete documentation index, see [llms.txt](https://docs.mindee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindee.com/v2/fr/integrations/client-libraries-sdk/load-an-url.md).

# Charger une URL

## Aperçu

Dans l’ensemble, les étapes pour envoyer une URL sont :

1. Charger l’URL, **cela ne télécharge rien localement**.
2. *Facultatif*: ajustez le fichier source avant l’envoi.
3. Utilisez l’instance cliente Mindee pour envoyer le fichier.

## Prérequis

Dans la plupart des cas, vous chargerez un fichier source à utiliser dans le client Mindee ; jetez un œil à la [Configuration du client](/v2/fr/integrations/client-libraries-sdk/configure-the-client.md) section pour plus d’informations.

Cependant, vous n’avez pas réellement besoin d’initialiser le client pour utiliser ces fonctionnalités, seulement d’avoir la bibliothèque cliente installée.

## Charger l’URL

{% tabs %}
{% tab title="Python" %}
Utilisez le `URLInputSource` classe.

```python
from mindee import UrlInputSource

input_source = UrlInputSource(
    "https://example.com/file.ext"
)
```

{% endtab %}

{% tab title="Node.js" %}
Utilisez le `URLInput` classe.

```typescript
const inputSource = new mindee.UrlInput({
  url: "https://example.com/file.ext"
});
```

{% endtab %}

{% tab title="PHP" %}
Utilisez le `URLInputSource` classe.

```php
use Mindee\Input\URLInputSource;

$inputSource = new URLInputSource(
  url: "https://example.com/file.ext"
);
```

{% endtab %}

{% tab title="Ruby" %}

```ruby
require 'mindee'

input_source = Mindee::Input::Source::URLInputSource.new(
  'https://example.com/file.ext'
)
```

{% endtab %}

{% tab title="Java" %}
Utilisez le `URLInputSource` classe.

```java
import com.mindee.input.URLInputSource;

URLInputSource inputSource = URLInputSource
    .builder("https://example.com/file.ext")
    .build();
```

{% endtab %}

{% tab title=".NET" %}
Utilisez le `URLInputSource` classe.

```csharp
var inputSource = new UrlInputSource(
    "https://example.com/file.ext");
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindee.com/v2/fr/integrations/client-libraries-sdk/load-an-url.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
